#ifndef _DIV_H_
#define _DIV_H_

#include <inttypes.h>

typedef struct
{
	uint16_t quot;
	uint16_t rem;
} udiv_t;

typedef struct
{
	uint8_t quot;
	uint8_t rem;
} udiv8_t;

typedef struct
{
	uint32_t quot;
	uint32_t rem;
} udiv32_t;

extern udiv_t udiv (uint16_t, uint16_t)  __asm__("__udivmodhi4") __attribute__ ((const));

extern udiv8_t udiv8 (uint8_t, uint8_t) __asm__("__udivmodqi4") __attribute__ ((const));
extern udiv32_t udiv32 (uint32_t, uint32_t) __asm__("__udivmodsi4") __attribute__ ((const));


#endif /* _DIV_H_ */
